FROM golang:1.11.1-stretch as builder

COPY ./goStatic /goStatic
WORKDIR /goStatic
RUN CGO_ENABLED=0 go build -a -o web-server .

FROM scratch
COPY --from=builder /goStatic/web-server /
ENTRYPOINT ["/web-server"]
